explain_vfprintf_or_die(3)

NAME
explain_vfprintf_or_die - formatted output conversion and report errors

SYNOPSIS
#include <libexplain/vfprintf.h>

void explain_vfprintf_or_die(FILE *fp, const char *format, va_list ap);
int explain_vfprintf_on_error(FILE *fp, const char *format, va_list ap);

DESCRIPTION
The explain_vfprintf_or_die function is used to call the vfprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vfprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vfprintf_on_error function is used to call the vfprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vfprintf(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the vfprintf(3) system call.

format
    The format, exactly as to be passed to the vfprintf(3) system call.

ap  The ap, exactly as to be passed to the vfprintf(3) system call.

RETURN VALUE
The explain_vfprintf_or_die function only returns on success, see vfprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vfprintf_on_error function always returns the value return by the wrapped vfprintf(3) system call.

EXAMPLE
The explain_vfprintf_or_die function is intended to be used in a fashion similar to the following example:
    explain_vfprintf_or_die(fp, format, ap);

SEE ALSO

vfprintf(3)
    formatted output conversion

explain_vfprintf(3)
    explain vfprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller